org.apache.felix.http.jetty.internal.webapp

## Class WebEvent

- java.lang.Object
- - org.apache.felix.http.jetty.internal.webapp.WebEvent

    public abstract class WebEvent
    extends Object

### Field Summary

Fields
`static String` `TOPIC_DEPLOYED`
`static String` `TOPIC_DEPLOYING`
`static String` `TOPIC_FAILED`
`static String` `TOPIC_UNDEPLOYED`
`static String` `TOPIC_UNDEPLOYING`

### Constructor Summary

Constructors
Constructor and Description
`WebEvent()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `postEvent(Object eventAdmin, String topic, org.osgi.framework.Bundle webAppBundle, org.osgi.framework.Bundle extenderBundle, Throwable exception, String collision, Long collisionBundles)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TOPIC_DEPLOYING

    public static final String TOPIC_DEPLOYING

See Also:
  Constant Field Values

#### TOPIC_DEPLOYED

    public static final String TOPIC_DEPLOYED

See Also:
  Constant Field Values

#### TOPIC_UNDEPLOYING

    public static final String TOPIC_UNDEPLOYING

See Also:
  Constant Field Values

#### TOPIC_UNDEPLOYED

    public static final String TOPIC_UNDEPLOYED

See Also:
  Constant Field Values

#### TOPIC_FAILED

    public static final String TOPIC_FAILED

See Also:
  Constant Field Values

### Constructor Detail

#### WebEvent

    public WebEvent()

### Method Detail

#### postEvent

    public static void postEvent(Object eventAdmin,
                                 String topic,
                                 org.osgi.framework.Bundle webAppBundle,
                                 org.osgi.framework.Bundle extenderBundle,
                                 Throwable exception,
                                 String collision,
                                 Long collisionBundles)